Subject: [Icn-interest] Slides from the ICN RG bar-BOF tonight
From: Borje.Ohlman at ericsson.com (Börje Ohlman)
Date: Wed, 30 Mar 2011 23:28:45 +0200

Thanks everyone for contributing to the good discussion this evening.

Please find the slides from tonights  ICN RG bar-BOF attached.

	B?rje

-------------- next part --------------
A non-text attachment was scrubbed...
Name: ICN-RG-bar-BOF-intro.ppt
Type: application/vnd.ms-powerpoint
Size: 280576 bytes
Desc: not available
URL: <https://listserv.netlab.nec.de/mailman/private/icn-interest/attachments/20110330/76a0215d/attachment-0001.ppt>
-------------- next part --------------

	

From: Dirk.Kutscher at neclab.eu (Dirk Kutscher)
Date: Tue, 29 Mar 2011 14:52:50 +0000
Subject: [Icn-interest] Bar-bar BOF on potential IRTF RG on ICN
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

We have collected this and related information here now:

https://trac.tools.ietf.org/group/irtf/trac/wiki/icnrg

--
Dirk

> -----Original Message-----
> From: icn-interest-bounces at listserv.netlab.nec.de [mailto:icn-interest-
> bounces at listserv.netlab.nec.de] On Behalf Of B?rje Ohlman
> Sent: Monday, March 28, 2011 5:48 PM
> To: icn-interest at listserv.netlab.nec.de
> Cc: Aaron Falk
> Subject: [Icn-interest] Bar-bar BOF on potential IRTF RG on ICN
> 
> Hi All,
> 
> Dirk and me are arranging a bar-bar-BOF on Wednesday evening. This will
> be a very informal event at a real bar. The purpose is just to see who
> would be interested and collect ideas for possible topics to be
> addressed in an IRTF RG on Information Centric Networking.
> 
> The BOF will be held at the Celnice bar/restaurant, V celnici 4, Google
> maps link below.
> It will start at 20.30 Wednesday evening.
> 
> Please let me know if you decide that you will come.
> 
> Welcome,
> 			B?rje
> 
> http://maps.google.se/maps?f=q&source=s_q&hl=sv&geocode=&q=Celnice+Rest
> aurant,+V+celnici,+Nov%C3%A9+M%C4%9Bsto,+Praha,+%C4%8Cesk%C3%A1+republi
> ka&aq=0&sll=61.606396,21.225586&sspn=22.386321,56.777344&ie=UTF8&hq=Cel
> nice+Restaurant,&hnear=V+celnici,+110+00+Praha,+Tjeckien&z=16
> _______________________________________________
> Icn-interest mailing list
> Icn-interest at listserv.netlab.nec.de
> https://listserv.netlab.nec.de/mailman/listinfo/icn-interest

From: borje.ohlman at ericsson.com (=?iso-8859-1?Q?B=F6rje_Ohlman?=)
Date: Mon, 28 Mar 2011 17:47:50 +0200
Subject: [Icn-interest] Bar-bar BOF on potential IRTF RG on ICN
Message-ID: <[email-masked]>

Hi All,

Dirk and me are arranging a bar-bar-BOF on Wednesday evening. This will be a very informal event at a real bar. The purpose is just to see who would be interested and collect ideas for possible topics to be addressed in an IRTF RG on Information Centric Networking.

The BOF will be held at the Celnice bar/restaurant, V celnici 4, Google maps link below.
It will start at 20.30 Wednesday evening.
 
Please let me know if you decide that you will come.

Welcome,
			B?rje

http://maps.google.se/maps?f=q&source=s_q&hl=sv&geocode=&q=Celnice+Restaurant,+V+celnici,+Nov%C3%A9+M%C4%9Bsto,+Praha,+%C4%8Cesk%C3%A1+republika&aq=0&sll=61.606396,21.225586&sspn=22.386321,56.777344&ie=UTF8&hq=Celnice+Restaurant,&hnear=V+celnici,+110+00+Praha,+Tjeckien&z=16

From: prosper.chemouil at orange-ftgroup.com (prosper.chemouil at orange-ftgroup.com)
Date: Sat, 26 Mar 2011 14:28:23 +0100
Subject: [Icn-interest] Call for Papers for a Special Issue of IEEE Communications Magazine on Information-Centric Networking
Message-ID: <[email-masked]>

Dear Colleagues,

Due to increasing interest on new paradigms related to content
dissemination and delivery, a small group has worked out a Special issue
on Information-Centric Networking which has been submitted to IEEE
Communications Magazine. This proposal has just been approved by the
Editorial Board and the CfP is now available on IEEE Communications
Magazine website.

The editorial group has been composed of Kathleen Nichols (Huawei USA,
Project CONA), Kostas Pentikousis (Huawei Europe formerly involved in
NetInf WP in 4WARD), George Pavlou (UCL, involved in FP7 STREP COMET),
Dan Massey (Colorado State University, member of NDN) and myself (Orange
Labs, FP7 SAIL Project) who act as guest co-editors of the Special
issue.

I enclose hereafter the CfP.

 <<FT-Information-centric-Networking-CFP.pdf>> 
Additionally, I indicate the main dates for the publication of this
issue due on July 2012.
*	Submission Deadline: November 1, 2011
*	Notification of Acceptance: February 29, 2012
*	Final Manuscript Due: May 1, 2012
*	Publication Date: July 2012

I think the call for papers covers the main issues considered during the
Dagstuhl Seminar on ICN and it might represent a good opportunity to
promote this paradigm.

Please note that Articles must be tutorial in nature, accessible to a
wide audience in the communications technology community. Articles
should be limited to approximately 4500 words, and include no more than
a combined total of 6 tables and figures. References should also be
limited to no more than 15. Authors need to adhere to the IEEE
Communications Magazine limits on mathematical content and strive for a
tutorial exposition of the problems and their solutions. 
As such, I think that it provides a different way to publicize ICN,
alternatively to more scientific papers to be presented at the ICN
Workshop during SIGCOMM 2011 next August in Toronto, Canada.

I hope that many of you will be able to submit proposals.
Best Regards,
Prosper Chemouil R&D Program Director
Orange Labs
Phone +33 1 4529 4309 Cellular +33 6 8637 9471
E-mail: prosper.chemouil at orange-ftgroup.com
www: http://perso.rd.francetelecom.fr/chemouil/

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://listserv.netlab.nec.de/mailman/private/icn-interest/attachments/20110326/6205a3bc/attachment-0001.htm>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: FT-Information-centric-Networking-CFP.pdf
Type: application/octet-stream
Size: 18766 bytes
Desc: FT-Information-centric-Networking-CFP.pdf
URL: <https://listserv.netlab.nec.de/mailman/private/icn-interest/attachments/20110326/6205a3bc/attachment-0001.obj>

From: borje.ohlman at ericsson.com (=?iso-8859-1?Q?B=F6rje_Ohlman?=)
Date: Thu, 17 Mar 2011 10:25:14 +0100
Subject: [Icn-interest] Deadline extension: Call for papers: ACM SIGCOMM Workshop on Information-Centric Networking (ICN-2011)
Message-ID: <[email-masked]>

This is to inform you that we have extended deadline for submissions of the full paper to: Friday, March 25, 2011 [23:59 PST]

Please note that papers still needs to be registered by the original deadline: Friday, March 18, 2011 [23:59 PST]

Paper must be registered at
http://www.easychair.org/conferences/?conf=acmsigcommicn2011 by uploading authors' details and an abstract before:
March 18, 2011 [23:59 PST]

		B?rje

[Apologies if you receive this more than once]

======================================================================
                       ACM SIGCOMM Workshop on
                    Information-Centric Networking

                         August 15-19,2011
                        Toronto, ON, Canada

                    http://www.neclab.eu/icn-2011/
======================================================================

                          Call For Papers
                          ---------------

The development of Information-Centric Networking (ICN -- also
referred to as data centric networking, content centric networking,
networking of information, etc.) concepts is one of the significant
results of different international Future Internet research
activities. In such approaches, the principal paradigm is not
host-to-host communication as in the current Internet
architecture. Instead, an increasing demand for highly scalable and
efficient distribution of content has motivated the development of
architectures that focus on information objects, their properties, and
receiver interest in the network to achieve efficient and reliable
distribution of such objects. Corresponding network architectures can
leverage in-network storage, multiparty communication through
replication and interaction models such as publish-subscribe to
provide general platforms for communication services that are today
only available in dedicated systems such as peer-to-peer overlays and
proprietary content-distribution networks.

Important research topics for ICN include: naming and addressing (how
to name information objects, how to represent location information),
routing and resolution (deciding on how to forward "interest" in
information and actual information objects, whether and how to resolve
information object names to lower layer identifiers during that
process), resource management (implications of in-network caching and
paradigms such as receiver-orientation to resource sharing, congestion
control etc.) and security (privacy, data protection and key
distribution have to be adapted to the new communication models).
This workshop invites original contributions on Information-Centric
Networking architecture topics as well as on results from
implementations and experimentation. Topics of interest include, but
are not limited to:

* Naming and addressing in ICN
* Routing and name resolution in ICN
* Resource management (caching strategies, congestion control)
* Security, privacy and trust in ICN
* Testbeds and simulation frameworks
* Business and deployment aspects
* New application opportunities with ICN
* Design and definition of the basic ICN primitives
* Accountability in ICN (e.g. referrals, click-throughs, etc)
* Billing, costing and invoicing for ICN traffic
* Metadata and network extensions for ICN
* Real-time traffic over ICN (voice, video, etc)
* PDUs, fragmentation and ???packet size??? implications on design
* Overlays and underlays with ICN
* ICNs in mobile networks
* Concurrency, locking and synchronization for ICN data
* Versioning, deletion, revocation and general ICN object management
* Monitoring, troubleshooting and management tools for ICNs

                       Submission instructions
                       ------------------------

Submissions must be no greater than 6 pages in length and must be a
pdf file. Reviews will be single-blind: authors name and affiliation
should be included in the submission. Submissions must follow the
formatting guidelines at http://www.sigcomm.org/sigcomm2011/. Authors
of accepted papers are expected to present their papers at the
workshop. Submissions must be original work not under review at any
other workshop, conference, or journal.

Submission website: http://www.neclab.eu/icn-2011/

                           Important Dates
                           ---------------

Paper submission: Friday, March 18, 2011 [23:59 PST] 

Acceptance notification: Friday, April 29, 2011  

Camera-ready: Friday, May 27, 2011

Date of the workshop: Friday, August 19, 2011

                       Technical Program Chairs
                       ------------------------
Dirk Kutscher, NEC Laboratories Europe - Germany
Giacomo Morabito, University of Catania - Italy
Ignacio Solis, PARC - USA

                        Steering Committee
              <icn2011-organizers at listserv.netlab.nec.de>
              -------------------------------------------

Dirk Kutscher, NEC Laboratories Europe -  Germany
Giacomo Morabito, University of Catania - Italy
Boerje Ohlman, Ericsson - Sweden
George C. Polyzos, AUEB - Greece
Ignacio Solis, PARC - USA
Lixia Zhang, UCLA - USA

                     Technical program committee
                     ---------------------------

Tarek Abdelzaher, UIUC - USA
Bengt Ahlgren, SICS - Sweden
Tohru Asami, Univ. of Tokio - Japan
Jun Bi, Tsinghua Univ. - China
Nicola Blefari-Melazzi, Univ. of Rome  - Italy
Yanghee Choi, Seoul National Univ. - South Korea
Costas Courcoubetis, AUEB - Greece
Andrea Detti, Univ. of Rome  - Italy
Lars Eggert, Nokia, Finland 
Stephen Farrell, Trinity College - Ireland
Kenneth Guild, University of Essex - UK
Van Jacobson, PARC - USA
Jussi Kangasharju, Helsinki Univ. - Finland
Holger Karl, Univ. Paderborn - Germany
Wolfgang Kellerer, NTT Docomo - Germany
Teemu Koponen, Nicira - USA
Anders Lindgren, SICS - Sweden
Daniel Massey, Colorado State Univ. - USA
Pekka Nikkander, Ericsson - Finland
Joerg Ott, Aalto Univ. - Finland
Sara Oueslati, France Telecom - France
Christos Papadopoulos, Colorado State Univ. - USA
Jarno Rajahalme, NSN - Finland
Scott Shenker, ICSI - USA
Sasu Tarkoma, Aalto Univ. - Finland
Dirk Trossen, Cambridge Univ. - UK
Ryuji Wakikawa, Toyota ITC - Japan
Lan Wang, Univ. of Memphis - USA
Edmund Yeh, Yale Univ. - USA
Beichuan Zhang, Univ. of Arizona - USA

--
Dr. Dirk Kutscher
NEC Laboratories Europe
Kurfuerstenanlage 36
69115 Heidelberg, Germany
email: dirk.kutscher at neclab.eu
Tel. +49 6221 4342 203
Fax. +49 6221 4342 155

NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, 
London W3 6BL | Registered in England 2832014

_______________________________________________
Icn2011-organizers mailing list
Icn2011-organizers at listserv.netlab.nec.de
https://listserv.netlab.nec.de/mailman/listinfo/icn2011-organizers

From: borje.ohlman at ericsson.com (=?iso-8859-1?Q?B=F6rje_Ohlman?=)
Date: Wed, 16 Mar 2011 14:10:18 +0100
Subject: [Icn-interest] Fwd: New Version Notification for draft-dannewitz-ppsp-secure-naming-02
References: <[email-masked]>
Message-ID: <[email-masked]>

FYI,
	B?rje

Begin forwarded message:

> From: IETF I-D Submission Tool <idsubmission at ietf.org>
> Date: 14 mars 2011 21.54.42 CET
> To: B?rje Ohlman <borje.ohlman at ericsson.com>
> Cc: "cdannewitz at upb.de" <cdannewitz at upb.de>, "teemu.rautio at vtt.fi" <teemu.rautio at vtt.fi>, "ove.strandberg at nsn.com" <ove.strandberg at nsn.com>
> Subject: New Version Notification for draft-dannewitz-ppsp-secure-naming-02 
> 
> 
> A new version of I-D, draft-dannewitz-ppsp-secure-naming-02.txt has been successfully submitted by Borje Ohlman and posted to the IETF repository.
> 
> Filename:	 draft-dannewitz-ppsp-secure-naming
> Revision:	 02
> Title:		 Secure naming structure and p2p application interaction
> Creation_date:	 2011-03-14
> WG ID:		 Independent Submission
> Number_of_pages: 15
> 
> Abstract:
> Today, each application typically uses its own way to identify data.
> The lack of a common naming scheme prevents applications from
> benefiting from available copies of the same data distributed via
> different P2P and CDN systems.  The main proposal presented in this
> draft is idea that there should be a secure and application
> independent way of naming information objects that are transported
> over the Internet.  The draft defines a set of requirements for such
> a naming structure.  It also presents a proposal for such a naming
> structure that could relevant for a number of work groups (existing
> and potential), e.g.  PPSP, DECADE and CDNI.  In addition, today's
> P2P naming schemes lack important security aspects that would allow
> the user to check the data integrity and build trust in data and data
> publishers.  This is especially important in P2P applications as data
> is received from untrusted peers.  Providing a generic naming scheme
> for P2P systems so that multiple P2P systems can use the same data
> regardless of data location and P2P system increases the efficiency
> and data availability of the overall data dissemination process.  The
> secure naming scheme is providing self-certification such that the
> receiver can verify the data integrity, i.e., that the correct data
> has been received, without requiring a trusted third party.  It also
> enables owner authentication to build up trust in (potentially
> anonymous) data publishers.  The secure naming structure should be
> beneficial as potential design principle in defining the two
> protocols identified as objectives in the PPSP charter.  This
> document enumerates a number of design considerations to impact the
> design and implementation of the tracker-peer signaling and peer-peer
> streaming signaling protocols.
> 
> 
> 
> The IETF Secretariat.
> 
> 

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://listserv.netlab.nec.de/mailman/private/icn-interest/attachments/20110316/8693ea63/attachment.htm>

From: Borje.Ohlman at ericsson.com (=?iso-8859-1?Q?B=F6rje_Ohlman?=)
Date: Wed, 2 Mar 2011 17:38:40 +0100
Subject: [Icn-interest] Reminder: Call for papers: ACM SIGCOMM Workshop on Information-Centric Networking (ICN-2011)
Message-ID: <[email-masked]>

This is just a friendly reminder that this deadline is approaching...
Paper submission: Friday, March 18, 2011 [23:59 PST] 

		B?rje

[Apologies if you receive this more than once]

======================================================================
                        ACM SIGCOMM Workshop on
                     Information-Centric Networking

                          August 15-19,2011
                         Toronto, ON, Canada

                     http://www.neclab.eu/icn-2011/
======================================================================

                           Call For Papers
                           ---------------

The development of Information-Centric Networking (ICN -- also
referred to as data centric networking, content centric networking,
networking of information, etc.) concepts is one of the significant
results of different international Future Internet research
activities. In such approaches, the principal paradigm is not
host-to-host communication as in the current Internet
architecture. Instead, an increasing demand for highly scalable and
efficient distribution of content has motivated the development of
architectures that focus on information objects, their properties, and
receiver interest in the network to achieve efficient and reliable
distribution of such objects. Corresponding network architectures can
leverage in-network storage, multiparty communication through
replication and interaction models such as publish-subscribe to
provide general platforms for communication services that are today
only available in dedicated systems such as peer-to-peer overlays and
proprietary content-distribution networks.

Important research topics for ICN include: naming and addressing (how
to name information objects, how to represent location information),
routing and resolution (deciding on how to forward "interest" in
information and actual information objects, whether and how to resolve
information object names to lower layer identifiers during that
process), resource management (implications of in-network caching and
paradigms such as receiver-orientation to resource sharing, congestion
control etc.) and security (privacy, data protection and key
distribution have to be adapted to the new communication models).
This workshop invites original contributions on Information-Centric
Networking architecture topics as well as on results from
implementations and experimentation. Topics of interest include, but
are not limited to:

* Naming and addressing in ICN
* Routing and name resolution in ICN
* Resource management (caching strategies, congestion control)
* Security, privacy and trust in ICN
* Testbeds and simulation frameworks
* Business and deployment aspects
* New application opportunities with ICN
* Design and definition of the basic ICN primitives
* Accountability in ICN (e.g. referrals, click-throughs, etc)
* Billing, costing and invoicing for ICN traffic
* Metadata and network extensions for ICN
* Real-time traffic over ICN (voice, video, etc)
* PDUs, fragmentation and ???packet size??? implications on design
* Overlays and underlays with ICN
* ICNs in mobile networks
* Concurrency, locking and synchronization for ICN data
* Versioning, deletion, revocation and general ICN object management
* Monitoring, troubleshooting and management tools for ICNs

                        Submission instructions
                        ------------------------

Submissions must be no greater than 6 pages in length and must be a
pdf file. Reviews will be single-blind: authors name and affiliation
should be included in the submission. Submissions must follow the
formatting guidelines at http://www.sigcomm.org/sigcomm2011/. Authors
of accepted papers are expected to present their papers at the
workshop. Submissions must be original work not under review at any
other workshop, conference, or journal.

Submission website: http://www.neclab.eu/icn-2011/

                            Important Dates
                            ---------------

Paper submission: Friday, March 18, 2011 [23:59 PST] 

Acceptance notification: Friday, April 29, 2011  

Camera-ready: Friday, May 27, 2011

Date of the workshop: Friday, August 19, 2011

                        Technical Program Chairs
                        ------------------------
Dirk Kutscher, NEC Laboratories Europe - Germany
Giacomo Morabito, University of Catania - Italy
Ignacio Solis, PARC - USA

                         Steering Committee
               <icn2011-organizers at listserv.netlab.nec.de>
               -------------------------------------------

Dirk Kutscher, NEC Laboratories Europe -  Germany
Giacomo Morabito, University of Catania - Italy
Boerje Ohlman, Ericsson - Sweden
George C. Polyzos, AUEB - Greece
Ignacio Solis, PARC - USA
Lixia Zhang, UCLA - USA

                      Technical program committee
                      ---------------------------

Tarek Abdelzaher, UIUC - USA
Bengt Ahlgren, SICS - Sweden
Tohru Asami, Univ. of Tokio - Japan
Jun Bi, Tsinghua Univ. - China
Nicola Blefari-Melazzi, Univ. of Rome  - Italy
Yanghee Choi, Seoul National Univ. - South Korea
Costas Courcoubetis, AUEB - Greece
Andrea Detti, Univ. of Rome  - Italy
Lars Eggert, Nokia, Finland 
Stephen Farrell, Trinity College - Ireland
Kenneth Guild, University of Essex - UK
Van Jacobson, PARC - USA
Jussi Kangasharju, Helsinki Univ. - Finland
Holger Karl, Univ. Paderborn - Germany
Wolfgang Kellerer, NTT Docomo - Germany
Teemu Koponen, Nicira - USA
Anders Lindgren, SICS - Sweden
Daniel Massey, Colorado State Univ. - USA
Pekka Nikkander, Ericsson - Finland
Joerg Ott, Aalto Univ. - Finland
Sara Oueslati, France Telecom - France
Christos Papadopoulos, Colorado State Univ. - USA
Jarno Rajahalme, NSN - Finland
Scott Shenker, ICSI - USA
Sasu Tarkoma, Aalto Univ. - Finland
Dirk Trossen, Cambridge Univ. - UK
Ryuji Wakikawa, Toyota ITC - Japan
Lan Wang, Univ. of Memphis - USA
Edmund Yeh, Yale Univ. - USA
Beichuan Zhang, Univ. of Arizona - USA

--
Dr. Dirk Kutscher
NEC Laboratories Europe
Kurfuerstenanlage 36
69115 Heidelberg, Germany
email: dirk.kutscher at neclab.eu
Tel. +49 6221 4342 203
Fax. +49 6221 4342 155

NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, 
London W3 6BL | Registered in England 2832014

_______________________________________________
Icn2011-organizers mailing list
Icn2011-organizers at listserv.netlab.nec.de
https://listserv.netlab.nec.de/mailman/listinfo/icn2011-organizers

From: borje.ohlman at ericsson.com (=?iso-8859-1?Q?B=F6rje_Ohlman?=)
Date: Wed, 2 Mar 2011 17:35:02 +0100
Subject: [Icn-interest] Fwd: IRTF Research Group on ICN?
References: <[email-masked]>
Message-ID: <[email-masked]>

This mail is forwarded to this list to provide some more background to the discussion that could be found in my previous mail to this list.

	B?rje

Begin forwarded message:

> From: Giacomo Morabito <morabito.giacomo at gmail.com>
> Date: 17 februari 2011 11.12.04 CET
> To: B?rje Ohlman <borje.ohlman at ericsson.com>
> Cc: Ignacio Solis <isolis at parc.com>, Dirk Kutscher <Dirk.Kutscher at neclab.eu>, Bengt Ahlgren <bengta at sics.se>, Christian Dannewitz <christian.dannewitz at uni-paderborn.de>, Aaron Falk <falk at bbn.com>, Van Jacobsen <van at parc.com>, "shenker at ICSI.berkeley.EDU" <shenker at ICSI.berkeley.EDU>, Stephen Farrell <stephen.farrell at cs.tcd.ie>, Holger Karl <hkarl at mail.uni-paderborn.de>, Pekka Nikander <pekka.nikander at ericsson.com>, "Ove (NSN - FI/Espoo) Strandberg" <ove.strandberg at nsn.com>, Lixia Zhang <lixia at cs.ucla.edu>, "tkoponen at iki.fi" <tkoponen at iki.fi>, Vercellone Vinicio <vinicio.vercellone at telecomitalia.it>, Ken Calvert <calvert at netlab.uky.edu>, Dirk Trossen <dirk.trossen at cl.cam.ac.uk>, George Polyzos <polyzos at aueb.gr>, "jthornton at parc.com" <jthornton at parc.com>, Jarno Rajahalme <jarno.rajahalme at nsn.com>, "sara.oueslati at orange-ftgroup.com" <sara.oueslati at orange-ftgroup.com>, George Pavlou <g.pavlou at ee.ucl.ac.uk>, Lars Eggert <lars.eggert at nokia.com>
> Subject: Re: IRTF Research Group on ICN?
> 
> Dear all,
> 
> I strongly agree with Borje: an agreement on experimental approach  
> would be a key contribution.
> 
> I am in favor of the IRTF Research Group idea.
> 
> Best regards
> Giacomo
> 
> 
> 
> Il giorno 17/feb/11, alle ore 10:20, B?rje Ohlman ha scritto:
> 
>> Nacho,
>> 
>> Thanks for your comments. To my understanding IRTF are not so much,  
>> like the IETF, about agreeing on things. It is more about exploring  
>> an emerging field of research, and that is, as I see it, exactly  
>> what we currently are doing.
>> 
>> Having said that, I still things there are things we could actually  
>> agree on. On Tuesday I was listening to Scott Schenker talking on  
>> "Architecting for Innovation". The basic message was that, to create  
>> a stable framework for an architecture that is open to innovation,  
>> we need, and should, agree on very little. Basically what is needed,  
>> are only two things.
>> - The first one is a minimal API that lets the applications  
>> negotiate with the network on a schema for a detailed API which they  
>> both agree on, e.g. TCP/IP sockets, publish/subscribe, NetInf API,  
>> CCN,...
>> - The second thing is how to do Inter-domain routing (IDR). For that  
>> his suggestion was pathlets, I know too little about it to judge if  
>> that is a good idea.
>> 
>> Anyway, I think one of the thing an RG could do would be to try to  
>> reach an agreement on some experimental approach for these two  
>> things. An API would allow for applications, taking advantage of ICN  
>> technology, being developed reasonably independent of any specific  
>> ICN approach. It would make it a reasonable effort to try the  
>> applications in different ICN environments. If we would managed to  
>> agree on an IDR interface we might even try some early  
>> interoperation testing.
>> 
>> 		B?rje
>> 
>> 
>> On 17 feb 2011, at 07.54, Ignacio Solis wrote:
>> 
>>> Aren't we a little early for an IRTF RG? It seems that there are  
>>> still a lot of unresolved questions in ICNs that I feel should be  
>>> addressed before we go that route.  Maybe I have the mistaken idea  
>>> that the IRTF RG should agree on something other than the fact that  
>>> the topic is interesting.  I basically try to ask myself how long  
>>> would it take us to agree on something and are we willing to put in  
>>> the work (and compromise) required to get there.
>>> 
>>> Then again, looking at the RGs they seem to span a wide range of  
>>> styles, and probably having an RG is partially what drives to an  
>>> eventual agreement.
>>> 
>>> If we go by RFC 2014 we probably meet all the "criteria".
>>> 
>>> So I guess for me the question would be, do we benefit from forming  
>>> an IRTF RG earlier rather than later?  If so, maybe we should push  
>>> for an RG. But if we feel unsure about what would be part of the RG  
>>> charter then we should probably hold off until we have a little  
>>> more consensus.
>>> 
>>> Nacho
>>> 
>>> 
>>> 
>>> On Feb 16, 2011, at 9:34 PM, B?rje Ohlman wrote:
>>> 
>>>> This is a poll to see if there is an interest in starting an IRTF  
>>>> Research Group on Information Centric Networking (ICN). I had a  
>>>> discussion the other night with Lars Eggert (who will take on the  
>>>> IRTF Chair in March) and he thought it might be a good idea, if  
>>>> there is enough interest in the community.
>>>> 
>>>> For those of you that attended the Dagstuhl seminar on ICN, we had  
>>>> a discussion at the end on how to keep the discussion in the  
>>>> community alive. I think an IRTF RG might be a good forum. It  
>>>> offers continuity for our discussion, a public mailing list and a  
>>>> common repository for documents. As IRTF is a well established  
>>>> organization, having a research group there would make it easy new  
>>>> researchers entering the field to get in contact with the  
>>>> established ICN community.
>>>> 
>>>> As I said, the purpose of this mail is to check if there are  
>>>> enough key players in the ICN community that thinks this is a good  
>>>> way to harmonize and move the work in this area forward. I'm sure  
>>>> I missed some key people in my distribution, so please feel free  
>>>> to forward this mail as you see fit.
>>>> 
>>>> Looking forward to your response,
>>>> 								B?rje
>>> 
>> 
> 

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://listserv.netlab.nec.de/mailman/private/icn-interest/attachments/20110302/76865b5d/attachment-0001.html>

From: borje.ohlman at ericsson.com (=?iso-8859-1?Q?B=F6rje_Ohlman?=)
Date: Wed, 2 Mar 2011 17:33:09 +0100
Subject: [Icn-interest] IRTF Research Group on ICN?
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

Considering that this discussion died off, and I see no immediate urgency to act on this, I propose the following:

1) Let's move any follow up discussion to the icn-interest list. By sending this to the list I consider that done. Please subscribe to the list (instructions below) if you're interested.

2) For those going to the Prague IETF, I'll try to set up a lunch or an evening in a bar where we can meet and chat about it. Please let me know if you're interested. (When time and place is decided I'll of course announce it to this list.)

3) A good time discuss this further will of course also be at the ICN SIGCOMM workshop.

		B?rje

On 17 feb 2011, at 11.43, Dirk Kutscher wrote:

> Dear all,
> 
> In my opinion, IRTF groups can be successful if they are focused on a technology that fits to the IETF Internet protocols, applications, and architecture development/standardization. We should have a good feeling that ICN topics can be investigated and advanced in a way that some useful output towards the IETF can be generated. If we don't think so, another venue could be more appropriate. So, that's something we should find out.
> 
> Also, we should be sure that can actually 'promote research' in the ICN area by having such a group. There is ICN research in different variants -- people should agree that it's beneficial to do first steps towards agreements, common aspects at this time.
> 
> Regarding the mailing list that was mentioned:
> 
> https://listserv.netlab.nec.de/mailman/listinfo/icn-interest
> 
> We set this up after the Dagstuhl meeting and our plan was to continue the discussion on that list -- after the proceedings have been published, which is now the case. :-)
> 
> http://drops.dagstuhl.de/portals/index.php?semnr=10492
> 
> The list is open to all people interested in that topic -- please feel free to sign up and use it.
> 
> Best regards,
> 
> Dirk
> 
> 
>> -----Original Message-----
>> From: Stephen Farrell [mailto:stephen.farrell at cs.tcd.ie]
>> Sent: Thursday, February 17, 2011 11:22 AM
>> To: Lars Eggert
>> Cc: B?rje Ohlman; Aaron Falk; Ignacio Solis; Dirk Kutscher; Bengt
>> Ahlgren; Christian Dannewitz; Van Jacobsen; shenker at ICSI.berkeley.EDU;
>> Holger Karl; Pekka Nikander; Ove (NSN - FI/Espoo) Strandberg; Lixia
>> Zhang; tkoponen at iki.fi; Vercellone Vinicio; Ken Calvert; Dirk Trossen;
>> George C. Polyzos; jthornton at parc.com; Giacomo Morabito; Jarno
>> Rajahalme; sara.oueslati at orange-ftgroup.com; George Pavlou
>> Subject: Re: IRTF Research Group on ICN?
>> 
>> 
>> I guess we set up a mailing list after the Dagstuhl workshop
>> in December and there's been no mail on that since. So its not
>> clear to me that we have a bunch of folks that want to get
>> together in an open venue to do this now.
>> 
>> I do think that the topic could warrant an IRTF RG if people
>> really wanted one, and maybe agree with B?rje that an initial
>> focus on APIs and interdomain interop (and maybe as a
>> consequence object naming) might make sense. The putative
>> RG should of course also try to get folks to do and report
>> on experiments as well:-)
>> 
>> However, I'd suggest we first see if there's enough interest
>> in openly working on those topics on the ICN list we setup
>> after Dagstuhl (or ask for a new list at irtf.org if you
>> think that'll help get folks posting), and then think about
>> an RG if that goes well.
>> 
>> S.
>> 
>> PS: If people needed a sort-of official venue in the meantime,
>> (e.g. to get a slot at an IETF meeting or something),
>> then I reckon we could start to do some ICNing under the
>> auspices of the DTNRG, which is not unrelated, and that
>> could spin out into its own RG afterwards. Not sure if
>> that'd be needed, but it's an option.
>> 
>> On 17/02/11 09:30, Lars Eggert wrote:
>>> FYI, please CC Aaron Falk, who is IRTF chair until late March.
>>> 
>>> Lars